Package: org.gradle.api.plugins

## [Java] Class JavaPlugin

- org.gradle.api.plugins.JavaPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class JavaPlugin

  A Plugin which compiles and tests Java source, and assembles it into a JAR file.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `CLASSES_TASK_NAME` |
    `static String` | `COMPILE_CONFIGURATION_NAME` |
    `static String` | `COMPILE_JAVA_TASK_NAME` |
    `static String` | `COMPILE_TEST_JAVA_TASK_NAME` |
    `static String` | `JAR_TASK_NAME` |
    `static String` | `JAVADOC_TASK_NAME` |
    `static String` | `PROCESS_RESOURCES_TASK_NAME` |
    `static String` | `PROCESS_TEST_RESOURCES_TASK_NAME` |
    `static String` | `RUNTIME_CONFIGURATION_NAME` |
    `static String` | `TEST_CLASSES_TASK_NAME` |
    `static String` | `TEST_COMPILE_CONFIGURATION_NAME` |
    `static String` | `TEST_RUNTIME_CONFIGURATION_NAME` |
    `static String` | `TEST_TASK_NAME` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String CLASSES_TASK_NAME

    - #### public static final String COMPILE_CONFIGURATION_NAME

    - #### public static final String COMPILE_JAVA_TASK_NAME

    - #### public static final String COMPILE_TEST_JAVA_TASK_NAME

    - #### public static final String JAR_TASK_NAME

    - #### public static final String JAVADOC_TASK_NAME

    - #### public static final String PROCESS_RESOURCES_TASK_NAME

    - #### public static final String PROCESS_TEST_RESOURCES_TASK_NAME

    - #### public static final String RUNTIME_CONFIGURATION_NAME

    - #### public static final String TEST_CLASSES_TASK_NAME

    - #### public static final String TEST_COMPILE_CONFIGURATION_NAME

    - #### public static final String TEST_RUNTIME_CONFIGURATION_NAME

    - #### public static final String TEST_TASK_NAME

  - ### Method Detail

    - #### public void apply(Project project)